エラー「Can't find the 'libpq-fe.h header」に対処する

エラー発生

gem の pg をインストールしようとしたところ、エラーが発生してしまった。

f:id:matt-note:20190111222144p:plain

 

調べてみる

どうやら、RailsPostgreSQL を使う時によくあるエラーであることがわかった。

f:id:matt-note:20190129222821p:plain

 

というわけで、以下のコマンドを実行する。

  • sudo apt install libpq-dev

 

pg をインストールしてみる。

 

f:id:matt-note:20190129223110p:plain

-> これで pg をインストールできた。